Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway Class Reference

Keyword Field Type external storage gateway. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway:

## Public Member Functions
| storeFieldData (Field $field, $contentTypeId)
| getFieldData (Field $field)
| Sets the list of assigned keywords into $field->value->externalData. More...
| getContentTypeId (Field $field)
| Retrieve the ContentType ID for the given $field. More...
| deleteFieldData ($fieldId)
Public Member Functions inherited from eZ\Publish\Core\FieldType\StorageGateway
| setConnection ($connection)
| Sets the data storage connection to use. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\SPI\FieldType\StorageGateway
| getSequenceName ($table, $column)
| Get sequence name bound to database table and column. More...

## Detailed Description

Keyword Field Type external storage gateway.

Definition at line 15 of file FieldType/Keyword/KeywordStorage/Gateway.php.

## Member Function Documentation

## ◆ deleteFieldData()

eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway::deleteFieldData | ( |  | $fieldId | ) |
| abstract

See also
  \eZ\Publish\SPI\FieldType\FieldStorage::deleteFieldData()

Reimplemented in eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage, and eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\DoctrineStorage.

## ◆ getContentTypeId()

eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway::getContentTypeId | ( | Field | $field | ) |
| abstract

Retrieve the ContentType ID for the given $field.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Field | $field |

Returns
  mixed

Reimplemented in eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage, and eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\DoctrineStorage.

## ◆ getFieldData()

eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway::getFieldData | ( | Field | $field | ) |
| abstract

Sets the list of assigned keywords into $field->value->externalData.

Parameters

  Field | $field |

Reimplemented in eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage, and eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\DoctrineStorage.

## ◆ storeFieldData()

eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway::storeFieldData | ( | Field | $field,
|  |  | $contentTypeId
| ) |  |
| abstract

See also
  \eZ\Publish\SPI\FieldType\FieldStorage::storeFieldData()

Reimplemented in eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage, and eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\DoctrineStorage.

The documentation for this class was generated from the following file:

- FieldType/Keyword/KeywordStorage/Gateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.